[SCM] jack-audio-connection-kit/master: Sync jackd1.postinst with jackd2's version

adiknoth-guest at users.alioth.debian.org adiknoth-guest at users.alioth.debian.org
Sat Jun 22 09:59:13 UTC 2013


The following commit has been merged in the master branch:
commit b2da0014fe48b4403606d5c9156294657e068cbb
Author: Adrian Knoth <adi at drcomp.erfurt.thur.de>
Date:   Sat Jun 22 11:55:26 2013 +0200

    Sync jackd1.postinst with jackd2's version
    
    For a detailed explanation, please refer to jackd'2 git repo.

diff --git a/debian/jackd1.postinst b/debian/jackd1.postinst
index 1eb2343..007d60c 100644
--- a/debian/jackd1.postinst
+++ b/debian/jackd1.postinst
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
 
 # Source debconf library.
 . /usr/share/debconf/confmodule
@@ -7,20 +9,20 @@ CONFIG_FILE=/etc/security/limits.d/audio.conf
 
 # if neither $CONFIG_FILE nor ${CONFIG_FILE}.disabled exists,
 # let's copy it over from /usr/share/
-if [ ! -s ${CONFIG_FILE} -a ! -s ${CONFIG_FILE}.disabled ]; then
-    cp /usr/share/jackd/audio.conf ${CONFIG_FILE}.disabled
+if [ ! -s ${CONFIG_FILE} ] && [ ! -s ${CONFIG_FILE}.disabled ]; then
+	cp /usr/share/jackd/audio.conf ${CONFIG_FILE}.disabled
 fi
 
 db_get jackd/tweak_rt_limits
-if [ $RET = "true" ]; then
-    if [ -e ${CONFIG_FILE}.disabled ]; then
-        mv ${CONFIG_FILE}.disabled ${CONFIG_FILE} || true
-    fi
+if [ "x$RET" = "xtrue" ]; then
+	if [ -e ${CONFIG_FILE}.disabled ]; then
+		mv ${CONFIG_FILE}.disabled ${CONFIG_FILE} || true
+	fi
 else
-    # user doesn't want RT prio
-    if [ -e $CONFIG_FILE ]; then 
-        mv $CONFIG_FILE ${CONFIG_FILE}.disabled || true
-    fi
+	# user doesn't want RT prio
+	if [ -e $CONFIG_FILE ]; then
+		mv $CONFIG_FILE ${CONFIG_FILE}.disabled || true
+	fi
 fi
 
 #DEBHELPER#

-- 
Debian packaging for jack-audio-connection-kit



More information about the pkg-multimedia-commits mailing list